
Redmine - Patch #1127

Issue closed not strikethru'ed (with patch)

2008-04-28 15:31 - W Snyder

Status: Closed Start date: 2008-04-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.8   

Description

I was thinking closed issues should be stikethru'ed, so I went to implement this and found the code already there!

The problem is simply the default application.css has issue.closed instead of issue-closed; patch below.

Associated revisions

Revision 1680 - 2008-07-20 11:50 - Jean-Philippe Lang

Strikethru closed issue links (#1127).

History

#1 - 2008-05-03 13:13 - Jean-Philippe Lang

- Status changed from New to Closed

Actually, there is no problem with this:

issue-closed css class is used for entries in the activity view. I don't want these entries to be stikethru'ed. A different icon shows that an issue

was closed.

issue.closed (that applies to html elements that have both the issue and closed class) is used for links to a closed issue (eg. #1124).

#2 - 2008-05-03 13:32 - W Snyder

- Status changed from Closed to Reopened

Fair enough; I'll redo this patch then.

What I was looking for is on the "activity page" and bug lists that anywhere a closed bug number is listed it will look like this:

Bug# Foo bar baz

For example look at your own:

http://www.redmine.org/projects/activity/redmine

I think all of the issue numbers that are closed should be strikethru'ed. This makes it easier to scan for new issues.  Likewise the # column in the

issues report list.

The patch did the names but not the numbers; I would have rather had the numbers anyways but got mislead by the use of the class as you

described.

Thanks for correcting my misunderstanding on how this all worked.

#3 - 2008-07-10 15:20 - Otávio Sampaio

- File strike_closed_issue_link.diff added

Hy all,

I'm a Redmine newbie but I do appreciate all the effort that has been made. Great tool. I have something to add to this ticket. I use a lot the calendar

and the gantt chart. But sometimes is very annoying don't when we couldn't easily see the issues that are already closed. That's why I attached a

patch the change the link_to_issue behave.

#4 - 2008-07-19 19:18 - Peter Van den Bosch

- File closed_issues_strikethrough_in_css.patch added
https://www.redmine.org/issues/1124
http://www.redmine.org/projects/activity/redmine


Hi,

I've added a patch which does about the same as Otávio's patch above, but by applying the css classes 'issue closed' when using link_to_issue

instead of adding <del> tags.

This affects the issue links in gantt, calendar, timelog and issue relations. Also, the patch removes the strikethrough in roadmap en versions rhtmls,

since they would be provided by using link_to_issue.

#5 - 2008-07-20 11:49 - Jean-Philippe Lang

- Category set to UI

- Status changed from Reopened to Closed

- Target version set to 0.8

Patch from Peter applied in r1680.

Files

strike.patch 755 Bytes 2008-04-28 W Snyder

strike_closed_issue_link.diff 609 Bytes 2008-07-10 Otávio Sampaio

closed_issues_strikethrough_in_css.patch 1.61 KB 2008-07-19 Peter Van den Bosch
